List investment accounts
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/investment-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/cases/{case_id}/investment-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/cases/{case_id}/investment-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01K9IA01AJ0T44HRYE78AN7III",
"case_id": "<string>",
"account_type": "brokerage",
"custodian_name": "Charles Schwab",
"account_number": "***3456",
"status": "active",
"balance": 92500,
"holdings": [
{
"symbol": "AAPL",
"name": "Apple Inc.",
"quantity": 123,
"market_value": 123,
"cost_basis": 123
}
],
"beneficiaries": [
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123
}
],
"date_of_death_value": 123,
"transfer_status": "not_started",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}{
"error": {
"code": "forbidden",
"message": "You do not have permission to access this resource."
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}Investment Accounts
List investment accounts
GET
/
cases
/
{case_id}
/
investment-accounts
List investment accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Query Parameters
Page number for pagination.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Available options:
brokerage, mutual_fund, etf, individual_stocks, individual_bonds, index_fund, managed_account, 529_plan, drip, private_equity, alternative_investment, hsa, msa, cryptocurrency, other Available options:
not_started, paperwork_submitted, in_review, transferred, liquidated ⌘I

